Skip to main content
POST
/
v1
/
emails
/
test
/
send
Node.js SDK
import Migma from 'migma';

const migma = new Migma('YOUR_API_KEY');

const { data, error } = await migma.emails.sendTest({
  conversationId: 'CONVERSATION_ID',
  to: 'test@example.com'
});
{
  "success": true,
  "data": {
    "messageId": "<string>",
    "conversationId": "<string>",
    "sentTo": "jsmith@example.com",
    "sentAt": "2023-11-07T05:31:56Z",
    "subject": "<string>"
  },
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → API Integration.

Body

application/json
conversationId
string
required

The conversation ID containing the email to send

Pattern: ^[0-9a-fA-F]{24}$
to
string<email>
required

Recipient email address

Response

Test email sent successfully

success
boolean
required
data
object
error
string | null